<template>
  <div class="header">
    <div class="title">
      <div
        class="left"
        :class="{'right':item.type ==='link'}"
        @click="myinfo(item)"
        v-for="(item,index) in namelist"
        :key="index"
      >{{item.text}}
      <image
        src="../../../static/images/arrow_rightx2.png"
        mode="aspectFit"
        style="width:13rpx;height:16rpx;margin-left:15rpx"
        lazy-load="false">
      </image>
      </div>
    </div>
  </div>
</template>

<script type="text/ecmascript-6">
import config from "@/config";
export default {
  data() {
    return {};
  },

  props: {
    namelist: {
      default() {
        return {
          text: "",
          type: ""
        };
      }
    }
  },

  methods: {
    myinfo(data) {
      console.log("1", data);
      if (data.type === "name") {
        config.href(config.mainPage.info);
        console.log("左侧跳转");
      }
      if (data.type === "link") {
        config.href(config.shop.home);
        console.log("右侧跳转");
      }
    },
    shop(data) {
      console.log("1", data);
      if (data === "菜单") {
        this.text = !this.text;
        console.log("左侧菜单展开");
      }
    }
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" type="text/scss" scoped>
.header {
  .title {
    display: flex;
    padding: 0.5rem;
    margin-top: 0.6rem;
    .left{
      display: flex;
      align-items: center;
    }
    .right {
      position: absolute;
      right: 0.5rem;
    }
  }
}
</style>
